Compilier findet (vorhandenes!) Paket nicht

Dieses Thema im Forum "Linux OS" wurde erstellt von pc-nico, 07.08.2008.

  1. #1 pc-nico, 07.08.2008
    pc-nico

    pc-nico Tripel-As

    Dabei seit:
    15.09.2005
    Beiträge:
    209
    Zustimmungen:
    0
    Hallo...

    ich versuche gerade Mailgrapf zum laufen zu bekommen... das möchte wiederrum das rddtool (Perl Modul)... um das zu komplieren muss Cairo vorhanden sein...

    Leider kann ich Cairo nicht als rpm für RHEL 4 finden (oder bin zu blind)

    Ich versuche es nun selbst zu complilieren, leider bricht das immer ab mit der Meldung:
    Code:
    configure: error: Cairo requires at least one font backend.
                      Please install freetype and fontconfig, then try again:
                      http://freetype.org/  http://fontconfig.org/
    
    Allerdings sind die Paket vorhanden:
    Code:
    
    [root@server cairo-1.6.4]# rpm -qa | grep fontconfig
    fontconfig-2.2.3-13.el4
    fontconfig-devel-2.2.3-13.el4
    [root@server cairo-1.6.4]# rpm -qa | grep freetype
    freetype-devel-2.1.9-8.el4.6
    freetype-2.1.9-8.el4.6
    [root@mail cairo-1.6.4]# 
    
    
    Ich habe irgendwo ein Brett vorm Kopf, vllt kann mir jemand mal einen kleine Tipp geben?:hilfe2:
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. z00k

    z00k I love my slack! Do u?

    Dabei seit:
    24.01.2005
    Beiträge:
    302
    Zustimmungen:
    0
    Ort:
    earth.getLocation("z00k");
    Howdy,

    evtl brauchst du ne neuere Version von den Abhaengigkeiten? Was sagen die Docs?


    gReetZ
     
  4. #3 marcellus, 08.08.2008
    marcellus

    marcellus Kaiser

    Dabei seit:
    09.05.2007
    Beiträge:
    1.392
    Zustimmungen:
    0
    Vllt musst du dem configure script erst sagen, was es verwenden soll?

    poste mal die Ausgabe von
    Code:
    ./configure --help
    
     
  5. #4 Aqualung, 09.08.2008
    Aqualung

    Aqualung Routinier

    Dabei seit:
    12.02.2008
    Beiträge:
    404
    Zustimmungen:
    0
  6. #5 pc-nico, 11.08.2008
    pc-nico

    pc-nico Tripel-As

    Dabei seit:
    15.09.2005
    Beiträge:
    209
    Zustimmungen:
    0
    Es sind wohl wirklich zu alte Versionen von Freetype und Fontconfig...

    In der Doku von rrdtool steht auch wie man die Abhängigkeiten compiliert...
    Dort werden die Versionen 2.4.2 und 2.3.5 compiliert... (vgl. siehe mein 1 Post, meine Versionen...)

    Bin mir jetzt unsicher, ob ich die beiden Paket selbst compilieren soll, da sie ja per rpm eingespielt sind...
    Leider sind dies die aktuellsten Versionen die man über das RHNetwork beziehen kann....

    Der Link ist nicht schlecht, aber dafür müsste man erst YUM in RHEL einbauen...
     
Thema:

Compilier findet (vorhandenes!) Paket nicht

Die Seite wird geladen...

Compilier findet (vorhandenes!) Paket nicht - Ähnliche Themen

  1. Artikel: Kodi/XBMC selbst compilieren

    Artikel: Kodi/XBMC selbst compilieren: Wer die aktuellste Kodi/XBMC-Version benötigt, findet diese meist nicht über die Paketverwaltung des Linux-Systems. Es ist aber nicht weiter...
  2. Cheerp 1.0 compiliert C++ nach JavaScript

    Cheerp 1.0 compiliert C++ nach JavaScript: Der Compiler Cheerp, der C/C++-Anwendungen in JavaScript-Code für das Frontend und nativen Code für das Backend compiliert, ist in Version 1.0...
  3. Gentoo via Internetserver Compilieren?

    Gentoo via Internetserver Compilieren?: Hallo, Da ich wieder mal ein Gentoo einrichten möchte, aber dieses mal leider nicht auf ausreichen Rechenleistung zurückgreifen kann um eine...
  4. Artikel: LibreOffice 4.0 selbst compilieren

    Artikel: LibreOffice 4.0 selbst compilieren: Eine der Eigenschaften freier Software ist ganz offensichtlich, dass man den Quellcode beziehen und die Software selbst compilieren kann. Das...
  5. ion3 compilieren?

    ion3 compilieren?: Hallo, Ich moechte von Fluxbox, auf ion3 (testweiße, weil ich sehr neugierig bin) wechseln. Nur wie Compiliere ich das ganze? Habe mir...